package com.realnet.vpspack.Services;
import com.realnet.vpspack.Repository.RefundRepository;
import com.realnet.vpspack.Entity.Refund
;import java.util.*;

import org.springframework.beans.factory.annotation.Autowired;
import com.realnet.SequenceGenerator.Service.SequenceService;
import org.springframework.data.domain.Page;
import com.realnet.realm.Entity.Realm;
import com.realnet.realm.Services.RealmService;
import org.springframework.data.domain.Pageable;
import org.springframework.http.*;
import com.realnet.users.service1.AppUserServiceImpl;
import com.realnet.users.entity1.AppUser;












	import org.springframework.stereotype.Service;

@Service
 public class RefundService {
@Autowired
private RefundRepository Repository;
	@Autowired
	private AppUserServiceImpl userService; 
@Autowired
	private RealmService realmService;











public Refund Savedata(Refund data) {












	data.setUpdatedBy(getUser().getUserId());
		data.setCreatedBy(getUser().getUserId());
		data.setAccountId(getUser().getAccount().getAccount_id());
Refund save = Repository.save(data);
				return save;	
			}


//	get all with pagination
	public Page<Refund> getAllWithPagination(Pageable page) {
		return Repository.findAll(page, getUser().getUserId());
	}			
public List<Refund> getdetails() {  
		List<Realm> realm = realmService.findByUserId(getUser().getUserId());
List<Refund> all = Repository.findAll(getUser().getUserId());
		
		return all ;		}


public Refund getdetailsbyId(Integer id) {
	return Repository.findById(id).get();
			}


	public void delete_by_id(Integer id) {
 Repository.deleteById(id);
}


public Refund update(Refund data,Integer id) {
	Refund old = Repository.findById(id).get();
old.setName(data.getName());

old.setApplication_code(data.getApplication_code());

old.setFilter_btn(data.getFilter_btn());

old.setReset_btn(data.getReset_btn());

old.setNationality(data.getNationality());

old.setRefund_child(data.getRefund_child());

final Refund test = Repository.save(old);
		data.setUpdatedBy(getUser().getUserId());
  return test;} 












 public AppUser getUser() {
		AppUser user = userService.getLoggedInUser();
		return user;

	}}
